/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat/ryos.h"

static gchar const * const reset_name = "reset";

static void ryos_reset_finalize(RyosReset *reset) {
	reset->command = RYOS_COMMAND_RESET;
	reset->size = sizeof(RyosReset);
}

static gboolean ryos_reset_write(RoccatDevice *ryos, RyosReset *reset, GError **error) {
	ryos_reset_finalize(reset);
	return roccat_device_write(ryos, reset_name, (gchar const *)reset, sizeof(RyosReset), error);
}

gboolean ryos_reset(RoccatDevice *ryos, guint function, GError **error) {
	RyosReset reset;

	reset.function = function;
	return ryos_reset_write(ryos, &reset, error);
}
